[2008.9] installing lint-wifi

David Samblas dsamblasomcommunity at gmail.com
Tue Sep 30 08:47:07 CEST 2008

This is an "old" friend bug luckily easy to solve.

edit the  /usr/lib/python2.5/site-packages/gtk-2.0/gtk/__init__.py file

go to line 82 and add an underscore at the beginnig of the "init()" then
it must looks like "_init()" thats all.

Some one will fix this some day in the OE repositorie

David Samblas

El mar, 30-09-2008 a las 07:27 +0200, Matthias Apitz escribió:
> Hello,
> I've tried to install 'lint-wifi' following the Wiki:
> http://wiki.openmoko.org/wiki/Lint-wifi
> fetched lint-wifi_0.1_armv4t.ipk and later because of missing gtk for
> python in addition python-pygtk_2.10.4-ml7_armv4t.opk (btw: what is the
> difference between *.ipk and *.opk ?)
> installing python-pygtk_2.10.4-ml7_armv4t.opk fetched some dependencies:
> # opkg install python-pygtk_2.10.4-ml7_armv4t.opk
> Multiple packages (python-pygtk and python-pygtk) providing same name marked HOLD or PREFER.  Using latest.
> Installing python-pygtk (2.10.4-ml7) to root...
> Installing python-shell (2.5.2-ml0) to root...
> Downloading http://downloads.openmoko.org/repository/Om2008.8/armv4t/python-shell_2.5.2-ml0_armv4t.opk
> Installing python-pycairo (1.4.0-ml1) to root...
> Downloading http://downloads.openmoko.org/repository/Om2008.8/armv4t/python-pycairo_1.4.0-ml1_armv4t.opk
> Installing python-pygobject (2.12.3-r3) to root...
> Downloading http://downloads.openmoko.org/repository/Om2008.8/armv4t/python-pygobject_2.12.3-r3_armv4t.opk
> Installing libglade-2.0-0 (2.6.2-r2) to root...
> Downloading http://downloads.openmoko.org/repository/Om2008.8/armv4t/libglade-2.0-0_2.6.2-r2_armv4t.opk
> Configuring libglade-2.0-0
> Configuring python-pycairo
> Configuring python-pygobject
> Configuring python-pygtk
> Configuring python-shell
> root at om-gta02:~# 
> but launching 'lint-wifi.py' fails with:
> root at om-gta02:~# lint-wifi.py
> Traceback (most recent call last):
>   File "/usr/bin/lint-wifi.py", line 9, in <module>
>     import gtk, os
>   File "/usr/lib/python2.5/site-packages/gtk-2.0/gtk/__init__.py", line 82, in <module>
>     init()
> NameError: name 'init' is not defined
> Any idea what I have done wrong? Thx
> 	matthias

More information about the community mailing list